<?php

class loader {
    public static function Initialize() {    
        require 'vendor/autoload.php';
             
        require_once 'util/medoo.php';
        require_once 'util/query.php';
        require_once 'util/util.php';
        require_once 'util/member.php';
        require_once 'util/payment.php';
        require_once 'util/ref.php';

        require_once 'util/enum.php';
        require_once 'util/security.php';
        require_once 'util/encrypt.php';
        require_once 'util/package.php';
        require_once 'util/job.php';
        require_once 'util/table.php';
        require_once 'util/item.php';

        // stripe
        require_once 'stripe/init.php';
    }
}

loader::Initialize();

@set_time_limit(600);

// set timezone to asia/bangkok
date_default_timezone_set('Asia/Bangkok');

ini_set('default_charset', 'UTF-8');

//ชื่อ บน web browser
define('APP_TITLE', 'Hear-RO Donate System');

// DATABASE ZONE
// เชื่อมต่อฐานข้อมูล
// ip
define('DB_SERVER'      , '127.0.0.1');
// username
define('DB_USERNAME'    , 'ronewzz');
// password
define('DB_PASSWORD'    , 'qune7EmaJOcI');
// database name
define('DB_NAME'        , 'hi500_db');
// port หากไม่ได้เปลี่ยนให้ปล่อยไว้
define('DB_PORT'        , '43123');
// ตัวอักษร
define('DB_CHARSET'     , 'utf8');

// GENERAL ZONE
// ตัวอักษร ต่ำสุด
define('MINIMUN_LENGTH', 6);

// ตัวอักษร สูงสุด
define('MAXIMUN_LENGTH', 100);

// กำหนดชื่อ email เอาไว้โชว์ตอนเติมเงิน 
define('STRIPE_EMAIL', 'Hear-RO');

// Security Zone
// กำหนด ค่าข้อมูลที่จะถูกเข้ารหัส
define('ENCRYPT_KEY', 'Hear-RO');

// กำหนด ค่าข้อมูลขยะที่จะถูกผสมในการเข้ารหัส
define('ENCRYPT_SALT', 'Hear-RO');

// ไม่จำเป็น เข้ารหัส รหัสผ่านของผู้ใช้
// หากต้องการใช้ ต้องทำการเปิดใช้งาน ฝั่ง Server + แก้ login table ให้ฟิว รหัสผ่าน มีขนาด 60 ตัวอักษร
define('ENABLE_HASH', false);

// กำหนด ค่าเว็บไซต์
define('DOMAIN_SITE', 'https://member.hear-ro.online/donate');

// Stripe Zone
// กำหนด STRIPE_API_KEY 
define('STRIPE_API_KEY' , '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');

define('STRIPE_ENDPOINT', 'whsec_gDDRoocEoSalgoNwueYjeEJDch8Q1dwq');

// เปิดใช้ระบบ กรอกโค้ดโปรโมชั่น (ลดราคา)
define('STRIPE_PROMO_CODE', true);

?>